# Klasse PrefixedEvaluator

java.lang.Object
org.apache.ant.props.RegexBasedEvaluator
org.apache.ant.props.PrefixedEvaluator

Alle implementierten Schnittstellen:
  `org.apache.tools.ant.PropertyHelper.Delegate, org.apache.tools.ant.PropertyHelper.PropertyEvaluator`

Bekannte direkte Unterklassen:
  `StaticPrefixedEvaluator`

public abstract class PrefixedEvaluator extends RegexBasedEvaluator
Abstract prefixed PropertyEvaluator.

## Feldübersicht

Felder
Modifikator und Typ
Feld
Beschreibung
`static final String`
`DEFAULT_DELIMITER`
Default prefix delimiter.

## Konstruktorübersicht

Konstruktoren
Modifikator
Konstruktor
Beschreibung
`protected`
`PrefixedEvaluator()`
Create a new PrefixedEvaluator.
`protected`
`PrefixedEvaluator(String delimiter)`
Create a new PrefixedEvaluator.

## Methodenübersicht

Modifikator und Typ
Methode
Beschreibung
`protected abstract boolean`
`canInterpret(String prefix)`
Learn whether this evaluator can interpret a property with the given prefix.
`protected Object`
`evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)`
Evaluate the matched groups.
`protected abstract Object`
`evaluate(String property, String prefix, org.apache.tools.ant.PropertyHelper propertyHelper)`
Return the result of evaluating the prefixed property.
`void`
`setDelimiter(String delimiter)`
Set the String delimiter.
`final void`
`setPattern(String pattern)`
Ignored.

### Von Klasse geerbte Methoden RegexBasedEvaluator

`addOption, evaluate, getPattern, getRegularExpression`

### Von Klasse geerbte Methoden Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### DEFAULT_DELIMITER

public static final String DEFAULT_DELIMITER
Default prefix delimiter.

Siehe auch:
  - Konstantenfeldwerte

## Konstruktordetails

### PrefixedEvaluator

protected PrefixedEvaluator()
Create a new PrefixedEvaluator.

### PrefixedEvaluator

protected PrefixedEvaluator(String delimiter)
Create a new PrefixedEvaluator.

Parameter:
  `delimiter` -

## Methodendetails

### canInterpret

protected abstract boolean canInterpret(String prefix)
Learn whether this evaluator can interpret a property with the given prefix.

Parameter:
  `prefix` -
Gibt zurück:
  `true` if `prefix` is recognized, else `false`.

### evaluate

protected Object evaluate(String[] groups, org.apache.tools.ant.PropertyHelper propertyHelper)
Evaluate the matched groups.

Angegeben von:
  `evaluate` in Klasse `RegexBasedEvaluator`
Parameter:
  `groups` - the matches from the base regex.
  `propertyHelper` - the calling PropertyHelper.
Siehe auch:
  - `RegexBasedEvaluator.evaluate(java.lang.String[], org.apache.tools.ant.PropertyHelper)`

### evaluate

protected abstract Object evaluate(String property, String prefix, org.apache.tools.ant.PropertyHelper propertyHelper)
Return the result of evaluating the prefixed property.

Parameter:
  `property` -
  `prefix` -
  `propertyHelper` -
Gibt zurück:
  Object if the property can be resolved, else `null`.

### setDelimiter

public void setDelimiter(String delimiter)
Set the String delimiter.

Parameter:
  `delimiter` - String

### setPattern

public final void setPattern(String pattern)
Ignored.

Setzt außer Kraft:
  `setPattern` in Klasse `RegexBasedEvaluator`
Parameter:
  `pattern` - String
Siehe auch:
  - `RegexBasedEvaluator.setPattern(java.lang.String)`